%define name 	scite
%define version 1.54
%define release 1mdk

# stupid source file names
%define scitever 154
%define scintillaver 154

Summary: 	GTK text editor based on scintilla
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Editors
Url: 		http://www.scintilla.org/SciTE.html
Source1: 	scintilla%scintillaver.tar.bz2
Source: 	scite%scitever.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	libgtk+2.0-devel pkgconfig

%description
SciTE is a GTK based single-document editor.  While its features are
limited, its main purpose is to show off scintilla, an extensible
text highlighting and formatting engine.

%prep
%setup -q -a 1 -n scintilla
%setup -q -n scite

%build
cd $RPM_BUILD_DIR/scintilla/gtk
perl -p -i -e "s/-Os/$RPM_OPT_FLAGS/g" makefile
make GTK2=1
cd $RPM_BUILD_DIR/scite/gtk
perl -p -i -e "s/-Os/$RPM_OPT_FLAGS/g" makefile
perl -p -i -e 's/netscape/mozilla/g' ../src/Embedded.properties
perl -p -i -e 's/netscape/mozilla/g' ../src/html.properties
perl -p -i -e 's/netscape/mozilla/g' ../src/SciTEGlobal.properties
make GTK2=1

%install
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/%name
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
mkdir -p $RPM_BUILD_ROOT/%_datadir/gnome/apps/Applications
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1
cp bin/SciTE $RPM_BUILD_ROOT/%_bindir
cp src/*.properties $RPM_BUILD_ROOT/%_datadir/%name
cp gtk/SciTE.desktop $RPM_BUILD_ROOT/%_datadir/gnome/apps/Applications
cp gtk/Sci48M.png $RPM_BUILD_ROOT/%_datadir/pixmaps
mv doc/%name.1 $RPM_BUILD_ROOT/%_mandir/man1

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="SciTE"\
needs="x11"\
section="Applications/Editors"\
title="SciTE"\
icon="editors_section.png"\
longtitle="Scintilla Text Editor"
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc doc/*
%_bindir/SciTE
%_datadir/%name/*
%_datadir/pixmaps/*
%_datadir/gnome/apps/Applications/*
%_mandir/man1/*
%_menudir/%name

%changelog
* Wed Aug 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.54-1mdk
- 1.54

* Wed Jun 11 2003 Austin Acton <aacton@yorku.ca> 1.53-1mdk
- 1.53

* Mon Apr 21 2003 Austin Acton <aacton@yorku.ca> 1.52-1mdk
- 1.52
- move to gtk2 version
- use mozilla not netscape for help
- use opt flags

* Sun Feb 16 2003 Austin Acton <aacton@yorku.ca> 1.51-1mdk
- 1.51 

* Mon Jan 23 2003 Austin Acton <aacton@yorku.ca> 1.50-1mdk
- 1.50

* Fri Jan 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.49-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial package
